Subject: RE: [External] : Re: bug#46089: 26.3; Doc string of `read-regexp-suggestions'

From: Drew Adams <[email-masked]>
Date: Wed, 27 Jan 2021 03:10:06 +0000

> >   Return a list of standard suggestions for `read-regexp'.
> >   By default, the list includes the tag at point, the last isearch
> regexp,
> >   the last isearch string, and the last replacement regexp.  `read-
> regexp'
> >   appends the list returned by this function to the end of values
> available
> >   via M-n.
> >
> > What's "the tag at point"?  What does "tag" mean here?  I have no
> idea.
> 
> I've now added a link to the tags section in the manual.

I suppose I need to take your word for it.

What manual section is that - what node?

`i tag' doesn't find anything except these index entries:

  tag on run time stack  
  qqtag, customization keyword

I can't imagine what either of those has to do with
suggestions for `read-regexp'.

Node `Text from Minibuffer' says this:

 − The word or symbol at point.
 − The last regexp used in an incremental search.
 − The last string used in an incremental search.
 − The last string or pattern used in query-replace commands.

Is the first of those, "word or symbol", what the
doc string means by "tag"?

There are these meanings of "tag" in Emacs, AFAIK:

* Org mode tags (user-supplied labels/categories).
* TAGS file tags (places where something is defined).

I can't imagine either of those being something
that's "at point".

A wild, completely naive guess is that the doc
string is misworded, and that "word or symbol"
is what's meant.  Or perhaps what's meant is a
word or symbol at point that's got an entry in
the current (or some) TAGS table.